# VSCode Config

Base VSCode config for a better dev experience.

## Recommended Extensions

### Generic Extensions

- [Code Runner](https://marketplace.visualstudio.com/items?itemName=formulahendry.code-runner) - Easily run code
- [Error Lens](https://marketplace.visualstudio.com/items?itemName=usernamehw.errorlens) - Better warnings / error display
- [Intellisense](https://marketplace.visualstudio.com/items?itemName=VisualStudioExptTeam.vscodeintellicode) - AI code intellisense
- [Restore Terminals](https://marketplace.visualstudio.com/items?itemName=EthanSK.restore-terminals) - Easily re-create terminal sessions, useful for complex projects
- [TODO Tree](https://marketplace.visualstudio.com/items?itemName=Gruntfuggly.todo-tree) - Easily create TODO lists in your code

### Language Extensions

- Complete Python, Java, C++, Typescript / Javascript configuration.
- Git, WSL, SSH, Docker integration.

## User Settings

`Ctrl + Shift + P` => `Open User Settings (JSON)`

Good default settings for VSCode.

### Generic Settings

- **Format code** on save.
- **Organize code imports** on save.
- **Hide the minimap**.

### Extension Settings

- Configure **formatters** for every language you use.
- Additional language configs (better linting, stricter python type checking...).
